[ic] Upgrade to Interchange-5.7.4 performance issues

Peter peter at pajamian.dhs.org
Tue Mar 23 20:27:00 UTC 2010

On 24/03/10 04:48, Gert van der Spoel wrote:
>>> On 23/03/10 03:51, Bill Carr wrote:
>>>> I just tried again with vlink and I still get the performance
>>>> problems. I posted a new strace here
>>>> http://www.bottlenose-wine.com/userfiles/strace.txt. Anymore ideas?
> I noticed around line: 388985  that things look to go not according to plan.
> It does (or tries to do) something with:
> /usr/lib/perl5/site_perl/5.10.0/Tie/ShadowHash.pm

I think that's used for sessions.  If so this could be a filesystem
based problem.  I'm not sure what to do to troubleshoot that at this
stage, try deleting all the session files to begin with.  Also of note
is that this is a 5.10.0 module being used by perl 5.10.1.  Maybe you
need to upgrade the Tie::ShadowHash module.  If upgrading the module
doesn't work then do try compiling your own perl (doesn't have to be
5.8.9 as I said earlier, you could compile your own 5.10.1).  And build
all new modules for it from the CPAN shell.  This will eliminate any
other perl problems / incompatibilities.


More information about the interchange-users mailing list